Subject: Re: [Fwd: [PATCH] [TIPC]: Enhancements to msg_set_bits() routine]

From: Ingo Oeser <[email-masked]>
Date: Fri, 27 Apr 2007 13:06:16 +0200

Hi Jon,

Jon Paul Maloy schrieb:
> Ingo Oeser wrote:
> > static inlinevoid msg_set_bits(struct tipc_msg *m, u32 w,
> >   				u32 pos, __be32 mask, __be32 val)
> >
> >
> > Care to resubmit?

> I don't mind at all, but I would first like to understand better
> what this means. 
> If I understand it correctly __be32 literally means "big-endian
> 32-bit integer", but the way it is used doesn't seem to imply this,
> since both input and output to htonl() often is of that type.

Yes, you are right! I mixed up htonl and ntohl :-)
Sorry for the confusion!

Best Regards

Ingo Oeser